submissions_metadata_objects_retrieve
const url = 'https://example.com/api/submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/metadata_objects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'GET', headers: { 'X-Workspace': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/metadata_objects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'Retrieve a given submission metadata object.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”A UUID string identifying this submission metadata object.
Header Parameters
Section titled “Header Parameters”Workspace ID
Responses
Section titled “Responses”Serializer for the submission metadata objects.
object
Return summary information for an object.
Parameters
obj : SubmissionMetadataObject
The object for which metadata is being retrieved. Expected to have
submission, id, and metadata attributes.
Returns
dict A dictionary containing the summary fields and their values.
object
Return the number of metadata of an object, and where to list them.
Parameters
obj : SubmissionMetadataObject
The object for which metadata is being retrieved. Expected to have
submission and id attributes.
Returns
dict The count of metadata and the link to their list.
object
Determine whether the metadata object is valid based on completeness and cross-validation fields.
Parameters
obj : SubmissionMetadataObject The object for which the validity is being determined.
Returns
bool True if valid, False otherwise.
Retrieve information about the associations linked to a given metadata object.
Parameters
obj : SubmissionMetadataObject
The metadata object for which to retrieve association information.
Expected to have an associations GenericRelation to SubmissionAssociationObject.
Returns
dict A dictionary containing:
- “count” (int): the number of SubmissionAssociations this metadata object participates in.
- “related” (str): the URL to retrieve the detailed list of associated SubmissionAssociations.
object
Retrieve external identifiers linked to this metadata object.
Parameters
obj : SubmissionMetadataObject The metadata object.
Returns
list[dict] Serialized external identifiers.
object
Example generated
{}object
object
Example
{ "code": "uri_validation_error", "message": "Invalid URI parameters. Check the `details` property for more details.", "details": [ { "parameter": "<parameter_name>", "code": "invalid", "message": "\"<parameter_value>\" is not a valid UUID." } ]}object
object
Example
{ "code": "forbidden", "message": "You do not have permission to perform this operation. Check the `details` property for more details.", "details": [ { "parameter": "submission", "code": "not_allowed", "message": "You are not a member of this submission." } ]}object
object
Example
{ "code": "object_not_found", "message": "Object not found. Check the `details` property for more details.", "details": [ { "parameter": "<id>", "code": "does_not_exist", "message": "\"<id>\" does not exist." } ]}
